# Generated from ruby_multiton-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby_multiton

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Multiton pattern implementation for Ruby
License: MIT
URL: https://github.com/gdeoliveira/ruby_multiton
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0.7
# BuildRequires: rubygem(codeclimate-test-reporter) < 1.1
# BuildRequires: rubygem(etc) >= 1.1.0
# BuildRequires: rubygem(etc) < 1.2
# BuildRequires: rubygem(guard-rspec) >= 4.7.3
# BuildRequires: rubygem(guard-rspec) < 4.8
# BuildRequires: rubygem(guard-rubocop) >= 1.3.0
# BuildRequires: rubygem(guard-rubocop) < 1.4
# BuildRequires: rubygem(io-console) >= 0.5.5
# BuildRequires: rubygem(io-console) < 0.6
# BuildRequires: rubygem(json) >= 2.3.0
# BuildRequires: rubygem(json) < 2.4
# BuildRequires: rubygem(pry-byebug) >= 3.8.0
# BuildRequires: rubygem(pry-byebug) < 3.9
# BuildRequires: rubygem(simplecov) >= 0.18.1
# BuildRequires: rubygem(simplecov) < 0.19
# BuildRequires: rubygem(webrick) >= 1.6.0
# BuildRequires: rubygem(webrick) < 1.7
BuildArch: noarch

%description
Multiton provides a transparent, thread safe and highly compatible
implementation of the multiton (and singleton) patterns in pure Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/ruby_multiton.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.2-1
- Initial package
